// UpdateMgr.h : header file
// As part of the Undo_Redo_Demo application
// By Tom Morris of trilobiteWorks. December 2002
// Use freely...

#pragma once

#include "DocVars.h"
#include "tObjectList.h"

/////////////////////////////////////////////////////////////////////////////

class CUpdateMgr  
{
public:
	CUpdateMgr();           // protected constructor used by dynamic creation
	virtual ~CUpdateMgr();

// Attributes
public:


// Operations
public:
	CDocVars&		DocVarsUpdate(CDocVars	DocVars);
	CDocVars		DocVarsUndo();
	CDocVars		DocVarsRedo();
	CDocVars		DocVarsReset();
	bool			UpdateUndoRedoAvailability();

// Implementation
public:

// Members
public:
	POSITION		m_posCurrentPosition;
	CtObjectList<CDocVars, CDocVars&> 	m_lDocVarsList;
	CDocVars		m_CurrentDocVars;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

